@startuml
title (4-5)c closeEvent
actor Actor
participant "CatERingAppManager.eventManager:EventManager" as em
participant "CatERingAppManager.event:Event" as e
participant "r:EventReceiver" as r

Actor -> em++: closeEvent(note)
alt currentEvent == null
	em -->> Actor: throw UseCaseLogicException
else
	
    em -> e++:setClose(true)
    deactivate e
    
    em -> e++:setNote(note)
    deactivate e
    
    group for each r in receivers
    	em -> r++:notifyCloseEvent(currentEvent)
        deactivate r
    end 
	
    em -->> Actor
    deactivate em
end
@enduml
